#ifndef CPCTRL_SEND_H
#define CPCTRL_SEND_H

#include "ConfigParser.h"
#include "SerialPort.h"

class Send {
public:
    Send();

    size_t sendto(const std::string &data);
    size_t sendto(const std::vector<uint8_t> &data);

    bool isRunning() const;

private:
    std::unique_ptr<UDPReceiver> UdpReceiver{};
    std::unique_ptr<UDPSender> UdpSender{};
    std::unique_ptr<SerialPort> Serial{};
    bool isUdp{};
    bool isHH{};
    bool running_{};
};


#endif //CPCTRL_SEND_H
